:root {                         /* <--- Declarar variables en CSS */
    --White_smoke: #f5f5f5;
    --Night: #141414;
    --Jet_gray: #333333;
    --Ash_gray: #BCC8BF;
    --Platinum: #E0E0E0;
    --fuentePcpal: font-family: 'Manrope', sans-serif;
    font-family: 'Montserrat', sans-serif;
}
#contact_top {
    margin: 6rem auto;
}
.hamburguer_btn{
    width: auto;
    height: auto;
}
.hamburguer_btn i{
    width: auto;
    height: auto;
    font-size: 4rem;
}

.header_page{
    height: auto;
}
.form_container{
    flex-direction: column;
    padding-left: 0;
    align-items: center;
}
form {
    width: 90vw;
    align-items: stretch;
}
#nav_end a{
    color: var(--White_smoke);
}
.skills{
    grid-template-columns: auto auto;
}
.wave_showcase{
    top: -1px;
}

.scrolled .nav_bar a:hover {
    color: var(--White_smoke);
    text-decoration: none;
}
.scrolled .nav_bar a:active {
    color: var(--White_smoke);
    text-decoration: none;
}
.nav_btn:hover{
    color: var(--White_smoke);
}

.wave {
    bottom: -1px;
}
.wave svg{

    height: 4rem;
}
#wr_footer {
   margin-bottom: 3rem;
}

#close_icon{
    display: none;
}
#check:checked~.hamburguer_btn #ham_icon{
    display: none;
}
#check:checked~.hamburguer_btn #close_icon{
    display: flex;
}
#check:checked~#nav_bar__top {
    height: 40vh;
    transform: translateY(0rem);
} 

@media (max-width: 500px) {

    .hamburguer_btn{
        position: sticky;
        display: flex;
        padding-right: 2rem;
        order: 0;
        transition: .3 ease;
    }
    .logo{
        margin-left: 0;
        padding-left: 0;
        width: 13rem;
        height: auto;
        order: -1;
    }

    header {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }

    #nav_bar__top{
        width: 100vw;
        height: 0vh;
        order: 1;
        margin-top: 0;
        text-align: center;
        transform: translateY(3rem);
        transition: .8s ease;
        overflow: hidden;
        background:var(--Ash_gray);
        opacity: 80%;
    }
    #nav_bar__top nav{
        width: 100vw;
    }

    #nav_bar__top ul{
        flex-direction: column;
        grid-template-columns: auto auto;
        
    }  

    .cards {
        flex-direction: column;
    }
    .card {
        width: 80vw;
    }
    .showcase__projects {
        height: auto;
    }
    header {
        justify-content: space-between;
    }
    

}
@media (max-width: 555px) {
    
    .introduction__text h1{
        text-align: center;
    }
    
}
@media (max-width: 400px) {
    .wrapper .icon {
        margin: 0 0;
    }

    .about_me__text{
        padding: 1rem;
    }
    .about_me__text h2 {
        width: 100%;
    }
    .showcase h4 {
        width: auto;
    }
    #wr_footer {
        gap: 2rem;
        margin-bottom: 0;
    }
    .contact__btn {
        margin: 6rem auto;
    }
    #nav_end {
        margin-top: 0;
        text-align: center;
    }
    #nav_end ul{
        flex-direction: column;
        grid-template-columns: auto auto;
    }


}